﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.Data.Entity.Infrastructure;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Web.Http;
using System.Web.Http.Description;
using WSRestHotelDemo;

namespace WSRestHotelDemo.Controllers
{
    public class GuestListsController : ApiController
    {
        private HotelContext db = new HotelContext();

        // GET: api/GuestLists
        public IQueryable<GuestList> GetGuestLists()
        {
            return db.GuestLists;
        }

        // GET: api/GuestLists/2014-10-22
        [ResponseType(typeof(GuestListDTO))]
        public IQueryable<GuestListDTO> GetGuestList(DateTime id)
        {
            var guestlist = from Guest in db.GuestLists
                where (Guest.Date_From <= id) && (Guest.Date_To >= id)
                select new GuestListDTO
                {
                    GuestName = Guest.GuestName,
                    HotelName = Guest.HotelName,
                    RoomNo = Guest.Room_No
                };
            return guestlist;

        }

       
    }
}